# nng_wss_register(3) Manual Page

## NAME

nng_wss_register - register WebSocket secure transport

## SYNOPSIS

    #include <nng/transport/websocket/ws.h>

    int nng_wss_register(void);

## DESCRIPTION

The `nng_wss_register()` function registers the wss transport for use.

| This function is deprecated, and may be removed from a future release. It is no longer necessary to explicitly register transports.

## RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient memory is available.
`NNG_ENOTSUP` | The transport is not supported.

## SEE ALSO

nng_ws(7), nng(7)